MultiBeat

data

## Class MultiBeat

- java.lang.Object
- - data.MultiBeat

-     public class MultiBeat
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private NoteData[][]` | `beat`
    `private int` | `instrument`
    `private java.lang.String` | `key`
    `private boolean` | `major`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiBeat()`
    `MultiBeat(NoteData[][] beat)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `bubbleSort(int Column)` Implementierung des BubbleSort-Algorithmus (verbessert)
    `MultiBeat` | `clone()` erzeugt eine Kopie des MultiBeats
    `NoteData[][]` | `getBeat()`
    `int` | `getInstrument()`
    `java.lang.String` | `getKey()`
    `int` | `getNoteCount()` gibt die Anzahl der Noten in dem Takt zurueck
    `boolean` | `isMajor()`
    `void` | `setBeat(int Phrase, int Note, NoteData nd)`
    `void` | `setBeat(NoteData[][] beat)`
    `void` | `setInstrument(int instrument)`
    `void` | `setKey(java.lang.String key)`
    `void` | `setMajor(boolean major)`
    `void` | `sort()` sortiert das zweidimensionale Array nach Pitches absteigend zB.: 60 65 62 60 76 63 58 67 63 => 59 65 62 59 64 60 58 64 60
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### instrument

          private int instrument

    - #### key

          private java.lang.String key

    - #### major

          private boolean major

    - #### beat

          private NoteData[][] beat

  - ### Constructor Detail

    - #### MultiBeat

          public MultiBeat()

    - #### MultiBeat

          public MultiBeat(NoteData[][] beat)

  - ### Method Detail

    - #### getInstrument

          public int getInstrument()

    - #### setInstrument

          public void setInstrument(int instrument)

    - #### getBeat

          public NoteData[][] getBeat()

    - #### setBeat

          public void setBeat(NoteData[][] beat)

    - #### setBeat

          public void setBeat(int Phrase,
                     int Note,
                     NoteData nd)

    - #### getKey

          public java.lang.String getKey()

    - #### setKey

          public void setKey(java.lang.String key)

    - #### isMajor

          public boolean isMajor()

    - #### setMajor

          public void setMajor(boolean major)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### sort

          public void sort()

      sortiert das zweidimensionale Array nach Pitches absteigend zB.: 60 65 62 60 76 63 58 67 63 => 59 65 62 59 64 60 58 64 60

    - #### bubbleSort

          private void bubbleSort(int Column)

      Implementierung des BubbleSort-Algorithmus (verbessert)
      Parameters:
        `Column` - ID der Spalte, die sortiert werden soll

    - #### getNoteCount

          public int getNoteCount()

      gibt die Anzahl der Noten in dem Takt zurueck
      Returns:
        Anzahl der Noten im Takt

    - #### clone

          public MultiBeat clone()

      erzeugt eine Kopie des MultiBeats
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        Kopie des MultiBeats